# class Chef::Knife::NodeShow

### Public Class Methods

attrs_to_show=(attrs) click to toggle source

    # File lib/chef/knife/node_show.rb, line 61
    def self.attrs_to_show=(attrs)
      @attrs_to_show = attrs
    end

### Public Instance Methods

run() click to toggle source

    # File lib/chef/knife/node_show.rb, line 46
    def run
      ui.use_presenter Knife::Core::NodePresenter
      @node_name = @name_args[0]

      if @node_name.nil?
        show_usage
        ui.fatal("You must specify a node name")
        exit 1
      end

      node = Chef::Node.load(@node_name)
      output(format_for_display(node))
      self.class.attrs_to_show = []
    end